/*
Theme Name: Atelier Floral
Theme URI: https://tonsite.fr
Description: Thème enfant basé sur Astra pour un site de fleuriste
Author: Luc Bataillé
Author URI: https://tonsite.fr
Template: astra
Version: 1.0.0
Text Domain: atelier-floral
*/
/* Autorise débordement du container */
body {
	background-color:#F7F5F0;
	 animation: pageFade 0.6s ease-out;
}

.home #primary {
  overflow: visible;
}
body.woocommerce .ast-primary-header-bar,
body.post-type-archive-product .ast-primary-header-barr {
width:100% !important;
max-width:100% !important;
	 background: linear-gradient(
90deg,
#4d6f3d 0%,
#3a3a3a 55%,
#232323  100%
) !important;
}

body.woocommerce .ast-container,
body.post-type-archive-product .ast-container, body.tax-product_cat .ast-container,
body.woocommerce .ast-container,
body.post-type-archive-product .ast-container {
max-width:1440px !important;
}

.trust-badges {
  display: flex;
  gap: 12px;
  align-items: center;
  justify-content: center;
}

.badge {
  font-size: 12px;
  letter-spacing: 1px;
  opacity: 0.75;
  padding: 2px 6px;
}

.entry-title{color:#fff;position:relative; top:-40px;opacity:0;}
/* HERO HOME */
.home .hero-home {
  position: relative;
	/* PHTO ACCUEIL ICI */
 /* background-image: url('https://latelier-floral-parisien.fr/wp-content/uploads/2026/03/fleuriste-fresnes.webp');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat; */

  width: 100vw !important;
  max-width: 100vw !important;

  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;

  padding: 0;

  height: 55vh;
  min-height: 360px;
  max-height: 620px;

  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;

  color: #ffffff;
}

/* SUPPRIME ESPACE AU-DESSUS */

.site-content,
.ast-container {
  margin-top: 0 !important;
  padding-top: 0 !important;
}

.hero-home {	margin-top: 39px !important;}

/* OVERLAY */
.hero-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.35);
  z-index: 1;
}

/* CONTENU */
.hero-content {
  position: relative;
  z-index: 2;
  max-width: 850px;
  padding: 0 20px;
}

/* TITRE */
.hero-home h1 {
  font-size: 2.6rem;
  margin-bottom: 15px;
	color:#fff;
}

/* TEXTE */
.hero-home p {
  font-size: 1.2rem;
  margin-bottom: 25px;
}

/* BOUTON */
.hero-btn, .product_title, .plustitr {
	      background: linear-gradient(
90deg,
#232323 0%,
#3a3a3a 55%,
#4d6f3d 100%
);
}

/* BOUTON HERO */
.hero-btn {
  display: inline-block;
  padding: 14px 34px;
  color: #ffffff;
  text-decoration: none ! important;
  border-radius: 8px;
  transition: background 0.3s ease, transform 0.2s ease;
	margin-top:45px;
}

.hero-btn:hover {
  background-color: #23673e;
	 transform: scale(1.09);
	color:#CAF5AD;
}

/* Overlay dégradé pour Hero */
.hero-overlay {
  background: linear-gradient(to bottom, rgba(0,0,0,0.25), rgba(0,0,0,0.5));
}

/* Ombre texte */
.hero-home h1, .hero-home p {
  text-shadow: 1px 1px 4px rgba(0,0,0,0.5);
}

/* TOPBAR GLOBALE */
.atelier-floral-topbar {
  width: 100%;
  background-color: #F7F5F0;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 13px;
}

/* CONTAINER CENTRÉ */
.topbar-container {
  max-width: 1440px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 50px;
  padding: 2px 20px 2px 20px;
	 position: relative;
  z-index: 99999;
}

/* SECTIONS */
.topbar-left,
.topbar-center,
.topbar-right {
  display: flex;
  align-items: center;
}

/* ALIGNEMENTS */
.topbar-left {
  justify-content: flex-start;
}

.topbar-left img {
	max-width:26px;
}

.topbar-left span {
	  font-family: Georgia, serif;
font-style: italic;
  letter-spacing: 1px;
  opacity: 0.7;
	padding: 5px 5px 0;
}

.topbar-center {
  justify-content: center;
  text-align: center;
  flex: 1;
}

.topbar-right {
  justify-content: flex-end;
  gap: 6px;
}

/* ICÔNES */
.topbar-right a {
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: auto;
}

.topbar-right img {
  width: 44px;
  height: 44px;
  transition: transform 0.2s ease;
}

.topbar-right a:hover img {
  transform: scale(1.1);
}


.ast-primary-header-bar,
.site-primary-header-wrap {
    display: flex !important;
    align-items: center;
    justify-content: space-between !important;
    width: 100% !important;
	max-width:1440px;
}
.ast-builder-grid-row,
.ast-builder-grid-row-container {
    width: 100% !important;
    max-width: 100% !important;
}
.main-header-menu {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.main-header-menu > li {
  padding-left: 10px;
  padding-right: 10px;
}

.main-navigation ul ul {
  background: #2A2A2D ! important;
  border-radius: 8px;
}

/*  Header principal  */
.site-header {
    background: linear-gradient(
90deg,
#4d6f3d 0%,
#3a3a3a 55%,
#232323  100%
) !important;
}  

.site-header .ast-container {
      display: flex;
    align-items: center;
    justify-content: center; /* menu centré + CTA à droite */
    max-width: 1440px;
    margin: 0 auto;

}

/* Logo */
.site-header .site-branding a {
    font-family: 'Great Vibes', cursive;
    font-size: 40px;
    font-weight: normal;
    color: #ffffff;
    text-decoration: none;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.4); 
	transition: opacity 0.3s ease;
}
.site-header .site-branding a:hover, .btn:hover {
  opacity: 0.8;
}

.main-header-menu {
    flex: 1;
    text-align: center;
}
.main-navigation {
    flex: 1 1 auto;
    text-align: center;
}

.site-primary-header-wrap {
    display: flex;
    justify-content: space-between; /* logo / menu + CTA */
    align-items: center;
    max-width: 1440px; /* limite sur grands écrans */
    margin: 0 auto;
    position: relative;
}

/* Menu centré (optionnel si nécessaire) */
.ast-primary-header .main-navigation {
    display: flex;
    justify-content: center;
    width: 100%;
}

/* Bouton CTA */
.menu-item a {
    display: inline-flex;
}
.pans {
    position: relative;           /* ancre le shine */
    overflow: hidden;   
	height:44px;
    display: flex;
    align-items: center;
   /* padding: 0 6px;
     border: 1px solid #fff; */
    border-radius: 8px;    
}
.btmen {
    position: relative;           /* ancre le shine */
    overflow: hidden;   
	height:44px;
    display: flex;
    align-items: center;
    padding: 0 8px;
    /* border: 1px solid #fff; */
    border-radius: 8px;           
      background: linear-gradient(
        130deg,
        #333333,
        #6EAD44,
			  #333333
    ); 
	text-shadow:
1px 1px 1px rgba(0,0,0,0.15),
0 0 3px rgba(255,255,255,0.25);
	color:#fff!important;
}
.pansa {
    display: inline-block;
    padding: 0px 14px;   
    border-radius: 4px;  
    text-decoration: none;
    color: #333333;
	background: linear-gradient(
    130deg,            
    #2A7F4D,
    #fff,
    #2A7F4D
);
    position: relative;
    overflow: hidden;
    z-index: 10;
    white-space: nowrap;
}
/* Shine doux en boucle */
.pans::before, .btmen::before {
    content:'';
    position:absolute;
    top:-50%;
    left:-100%;
    width:46%;
    height:200%;

   background: linear-gradient(
135deg,
transparent 15%,
rgba(155,227,107,.12) 35%,
rgba(255,255,255,.85) 50%,
rgba(210,255,190,.35) 65%,
transparent 85%
);

    transform:rotate(25deg);
    filter:blur(7px);
    animation:shine-pause 5s linear infinite;
	filter: blur(7px) drop-shadow(0 0 6px rgba(155,227,107,.18));
}

/* Shine doux en boucle */
.pansa::before {
    content: '';
    position: absolute;
    top: -50%;
    left: -75%;
    width: 50%;
    height: 200%;
   background: linear-gradient(
    135deg,            
    #2A7F4D,
    rgba(255, 255, 255, 0.35),
    #2A7F4D
);
    transform: rotate(25deg);
    filter: blur(7px);
    animation: shine-pause 3s linear infinite;
}

.figimg{
	margin :45px 0;
	padding:0;
	text-align:center;
}

h2.shop-category-title{
	margin-bottom:50px;
	
}	
.entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, h2.titrebi {margin-top:5rem;}
h3.titrebi, h4.titrebi, h5.titrebi, h6.titrebi {
	margin-top:5rem;
}
.topmargconteneur {
	margin-top : 110px ! important;
}
h2.titrebi, h3.titrebi, h4.titrebi, h5.titrebi, h6.titrebi, h2.shop-category-title, .related h2, .topmargconteneur {
	background: linear-gradient(
90deg,
#4d6f3d 0%,
#3a3a3a 55%,
#232323  100%
);

-webkit-background-clip: text;
-webkit-text-fill-color: transparent;
background-clip: text;
color: transparent;
}

h2.titrebi, h3.titrebi, h4.titrebi, h5.titrebi, h6.titrebi, .topmargconteneur {
	margin-bottom:0;
}
.wps-slider-section{margin-top:0;}

/* Bouton menu CTA */
.header-cta-container {
    flex: 0 0 auto; 
}

.prespags {
    background: linear-gradient(135deg, #2A2A2D 0%, #18181B 100%)
}
.prespags {
	padding: 5px; 
	color:#ffffff;
	text-align:center;
	border-radius:8px;
}
.prespags a {color:#9be36b;}

.sunflower {
    width: 90px;               
	  margin:auto;
    height: 90px;
    background: #333333; 
    border-radius: 50%;        
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;   
}

.sunflower img {
    max-width: 90%;           
    max-height: 90%;
    object-fit: contain;
}


.menu-cart-link {
    position: relative;
    display: inline-block;
    padding-right: 12px; 
    background: url('https://latelier-floral-parisien.fr/wp-content/uploads/2026/01/panier-1.webp') no-repeat right center;
    background-size: 20px 20px;
    color: #333;
    text-decoration: none;
}

/* Hover */
.menu-cart-link:hover {
    color: #4caf50;
}

/* Encadré img & texte */
.image-text-block {
    display: flex;
    align-items: flex-start;
    gap: 0; 
    max-width: 1280px;
    margin: 40px auto;
    position: relative;
}

.image-left img {
    width: 791px;
    height: auto;
	min-height: 593px !important;
    display: block;
    border-radius: 8px;
    object-fit: cover;
}

.text-right {
    width: 60%;
	height:auto !important;
	min-height: 593px !important;
    background-color: rgba(0, 0, 0, 0.6); 
    color: #fff;
    padding: 20px;
    position: relative;
    margin-left: -15%; 
    border-radius: 8px;
    box-shadow: 0 10px 20px rgba(0,0,0,0.2);
}

.text-right h4 {
    margin-top: 0;
    margin-bottom: 25px;
	color:#CAF5AD;
}

.text-right p {
    margin: 0 0 18px 0;
}
.image-text-block .text-right a{color:#fff;text-decoration:none;}
.encadres-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
	  margin-top:30px;
    gap: 20px;
}

.encadre {
    padding: 15px 0 0 20px;
    flex: 1 1 calc(25% - 15px);
    box-sizing: border-box;
    border: 1px solid #cecece;
    border-radius: 8px;
	  color:#333333;
	  background: #CAF5AD;
	transition: transform 0.25s 	ease, box-shadow 0.25s ease;
}

.encadre:hover {
    transform: translateY(-5px);
    box-shadow: 0 12px 25px rgba(0,0,0,0.12);
}
.encadre h3 {
    margin: 0;              
    padding: 0 0 5px 0;
    font-size: 20px;
    display: flex;
    align-items: center;
    gap: 10px;
	  color:#333333;
}
.encadre p{margin-top:12px;}
.encadre h3 .fleur {
    margin-right: 8px;   /* espace entre l’icône et le titre */
    font-size: 24px;     /* taille de l’icône fleur */
	background-color:#2F2A26;
	padding:4px;
	border-radius:25px;
}
.encadre a.btn {text-decoration:none;}
.btn {
	  width:210px;
    display: inline-block;
    padding: 8px 10px;
    color: #ffffff;
    text-decoration: none;
    border-radius: 8px;
    font-weight: bold;
    transition: 0.3s;
	  font-weight:normal;
}

/* Accordéon */
.seo-accordion {
  margin: 20px 0;
}

.seo-accordion input {
  display: none;
}

.seo-accordion label {
  cursor: pointer;
  font-weight: bold;
	font-size:16px;
  display: block;
  margin-bottom: 5px;
	background:#2F2A26;
	color:#fff;
	border-radius :8px;
	padding : 8px 10px 8px 10px;
	max-width:300px;
}

.accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

.seo-accordion input:checked ~ .accordion-content {
  max-height: 1280px; 
}
.lfp-labels-wrapper {
    max-width: 1280px;
    margin: 20px auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    padding: 0 20px;
}
.napo-box, .woocommerce-product-details__short-description { 
	background: #e6e6e6; 
	border-left: 4px solid #519927 ;  padding: 8px 20px 8px; 
	margin: 0 20px 0; 
	border-radius: 6px; 
}
.gl{
	font-size:43px;
	color:#519927 ;
}
.black-box {
	color:#CAF5AD;
}

/* Carte label */
.lfp-label-item {
    text-align: center;
}

/* Logos */
.lfp-label-item img {
    width: 150px;
    height: 150px;
    object-fit: contain;
   margin: 0 auto 15px;
    display: block;

}

/* Titres */
.lfp-label-item h4 {
    font-size: 18px;
    margin-bottom: 10px;
    color: #519927;
}

/* Texte */
.lfp-label-item p {
    font-size: 15px;
    line-height: 1.6;
    color: #444;
    margin: 0;
}
.lfp-separator-flower {
    text-align: center;
    margin: 40px 0;
    position: relative;
}

.lfp-separator-flower span {
    display: inline-block;
    padding: 0 10px;
    font-size: 28px;
    color: #2a7f4d;
    background: #F7F5F0;
    position: relative;
    z-index: 2;
}

.lfp-separator-flower:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 10%;
    right: 10%;
    height: 1px;
    background: #bfbfbf;
    transform: translateY(-50%);
    z-index: 1;
}

#lfp-footer {
    width: 100%;
	  margin-top:60px;
    background: #333333;
    color: #ffffff;
    padding: 60px 20px 30px;
    font-family: inherit;
}

#lfp-footer .lfp-footer-container {
    max-width: 1280px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 40px;
}

/* Colonnes */
#lfp-footer .lfp-footer-col h6 {
    font-size: 18px;
    margin-bottom: 15px;
    color: #CAF5AD;
}

#lfp-footer .lfp-footer-col p,
#lfp-footer .lfp-footer-col li {
    font-size: 15px;
    line-height: 1.7;
    color: #dddddd;
}

#lfp-footer .lfp-footer-col ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#lfp-footer .lfp-footer-col ul li {
    margin-bottom: 8px;
}

#lfp-footer .lfp-footer-col a {
    color: #ffffff;
    text-decoration: none;
    transition: opacity 0.3s ease;
}

#lfp-footer .lfp-footer-col a:hover {
    opacity: 0.7;
}

/* Bas de footer */
#lfp-footer .lfp-footer-bottom {
    border-top: 1px solid rgba(255,255,255,0.1);
    text-align: center;
    padding: 20px 0 0;
    font-size: 14px;
    color: #cccccc;
    margin-top: 40px;
}

/***WOOCOMMERCE***/

.ast-woocommerce-container {
	margin-top:0;
}
.ast-archive-title{
		background: linear-gradient(
90deg,
#4d6f3d 0%,
#3a3a3a 55%,
#232323  100%
);

-webkit-background-clip: text;
-webkit-text-fill-color: transparent;
background-clip: text;
color: transparent;
}
.woocommerce-result-count{
	border : 1px solid gray;
}

.post-type-archive-product .ast-woocommerce-container {
  margin-top: 20px;
}
.post-type-archive-product .ast-woocommerce-container .woocommerce-notices-wrapper{
  margin-top: 20px;
}
.post-type-archive-product .woocommerce-ordering select, .compo-page {
	border-radius:8px;
	padding-right:25px;
	background:#CAF5AD !important;
}
.compo-page { padding: 15px 20px;}
.post-type-archive-product .ast-woocommerce-container h1{
	display:none;
}
.post-type-archive-product .ast-woocommerce-container h1, .post-type-archive-product .ast-woocommerce-container .woocommerce-result-count, .woocommerce-result-count{
	border-radius:8px;
	background-color :#333333;
	padding : 6px 15px 8px 15px;
	color:#ffffff;
}
.single-product .ast-woocommerce-container {
	margin-top:120px;
}
.ast-container form.cart  {margin:55px;}

.woocommerce-product-gallery img {
  width: 100%;
  height: auto;
  margin: 0 auto;
  display: block;
	border-radius:8px;
}
body.page-id-5 #primary,
body.page-id-5 .site-main, #post-6, .post-7 {
    margin-top: 80px; 
}
.woocommerce-message:focus,
.woocommerce-message:active {
    outline: none !important;
    box-shadow: none !important;
}
.wc-block-cart__submit-container a:hover{
	color:#fff !important;
}
.attachment-woocommerce_thumbnail{
	border-radius:8px;
}
.woocommerce ul.products li.product img {
  border-radius: 12px;
  object-fit: cover;
  aspect-ratio: 1 / 1;
}
.shop-category-section, .post-6  {
    margin-top: 60px;   
}


/* Produits individuels */
.woocommerce ul.products li.product {
    border: 1px solid #eee;
    padding: 15px;
    text-align: center;
    transition: transform 0.2s;
}
.woocommerce-Price-amount, .woocommerce-Tabs-panel h1{
	 opacity: 0.75;
}
.woocommerce h3{
	margin-bottom:10px;
}
.related.products {
	border-top : 1px solid #CAF5AD;
	padding-top:20px;
}
.product_title, .plustitr {
	border-radius:8px;
	padding : 7px 0 7px 20px! important;
}
.product_title {
		margin: 30px 0 30px 0 ! important;
	padding: 8px! important;
	color:#fff !important;
}
.plustitr {
	color:#fff
}
.ast-onsale-card {
  background: linear-gradient(
90deg,
#4d6f3d 0%,
#3a3a3a 55%,
#232323  100%
) !important;
  color: #fff !important;
  width: 56px;
  height: 56px;
  border-radius: 50% !important;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 10px;
  left: 10px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.15);
  animation: pulsePremium 2.4s ease-in-out infinite;
  font-size: 0 !important;
}

.ast-onsale-card::after {
  content: "PROMO";
  font-size: 14px;
  font-weight: bold;
}


.woocommerce ul.products li.product .button:hover {
    color: #ffffff; 
}
/* Boutons WooCommerce – style premium */
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.woocommerce #respond input#submit,
.woocommerce button.alt,
.woocommerce a.button.alt {
  border: none;
  color: #fff;
  position: relative;
  overflow: hidden;
  transition: all 0.25s ease;
  box-shadow: none;
  text-shadow: none;
  outline: none;
}
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.woocommerce #respond input#submit,
.woocommerce button.alt,
.woocommerce a.button.alt, .btn {
	  background: linear-gradient(130deg, #4d6f3d, #3a3a3a, #232323);  
	position: relative;
  overflow: hidden;
  transition: color 0.25s ease;
  z-index: 1;
}
.woocommerce a.button::before,
.woocommerce button.button::before,
.woocommerce input.button::before,
.woocommerce #respond input#submit::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(42,127,77,0.25);
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
  z-index: -1;
}

.woocommerce a.button:hover::before,
.woocommerce button.button:hover::before,
.woocommerce input.button:hover::before,
.woocommerce #respond input#submit:hover::before {
  transform: scaleX(1);
}


/* HOVER */

.woocommerce a.button:hover,
.woocommerce button.button:hover,
.woocommerce input.button:hover,
.woocommerce #respond input#submit:hover, .btn:hover {
 color: #fff
}

/* CLICK */

.woocommerce a.button:active,
.woocommerce button.button:active,
.woocommerce input.button:active {
  transform: translateY(0);
  box-shadow: 0 5px 12px rgba(0,0,0,0.18);
}

.woocommerce ul li::marker {
  color: #519927;
}

.ast-archive-title{
		background: linear-gradient(
90deg,
#4d6f3d 0%,
#3a3a3a 55%,
#232323  100%
);

-webkit-background-clip: text;
-webkit-text-fill-color: transparent;
background-clip: text;
color: transparent;
}
.woocommerce-result-count{
	border : 1px solid gray;
}

.woocommerce-ordering{
	padding: 2px;
}
.woocommerce-ordering select.orderby {
	border-radius:10px;
	padding: 2px 0 2px 05px;
	border : 1px solid gray;
}
.woocommerce-ordering select.orderby:hover {
	background:#CAF5AD;
}
.social-footer{
display:flex;
gap:18px;
justify-content:center;
margin-top:20px;
}

.social-footer a{
font-size:22px;
color:#333;
transition:.3s;
}

.social-footer a:hover{
color:#0073aa;
transform:scale(1.1);
}
.atelier-livraison{
background: #fffaf7;
border: 1px solid #5b704f;
padding: 22px;
border-radius: 14px;
margin: 25px 0;
box-shadow: 0 6px 18px rgba(0,0,0,0.04);
font-family: inherit;
}

.atelier-title{
font-size: 18px;
margin-bottom: 18px;
color: #5b704f;
font-weight: 600;
}

.atelier-field{
margin-bottom: 15px;
display: flex;
flex-direction: column;
gap: 6px;
}
.flatpickr-calendar{
border-radius: 14px !important;
box-shadow: 0 10px 30px rgba(0,0,0,0.12) !important;
border: none !important;
}

.flatpickr-day.selected{
background: #c9a28a !important;
border-color: #c9a28a !important;
}

.flatpickr-day:hover{
background: #f3e7e1 !important;
}

.atelier-field label{
font-size: 14px;
color: #5b704f;
font-weight: 500;
}

.atelier-field input,
.atelier-field select{
padding: 10px 12px;
border-radius: 10px;
border: 1px solid #5b704f;
background: #fff;
font-size: 14px;
transition: all .25s ease;
}

.atelier-field input:focus,
.atelier-field select:focus{
outline: none;
border-color: #5b704f;
box-shadow: 0 0 0 3px rgba(201,162,138,0.15);
}

/* hover subtil élégant */
.atelier-livraison:hover{
box-shadow: 0 8px 22px rgba(0,0,0,0.06);
}

/*Formulaire de contact */

.cf7-form.compact {
  max-width: 1440px;
  margin: 30px auto;
  padding: 25px;
  background: #333333;
  border-radius: 8px;
  border: 1px solid #ddd;
  font-family: Arial, sans-serif;
}

.cf7-row {
  display: flex;
  gap: 16px;
  margin-bottom: 14px;
}

.cf7-col {
  flex: 1;
}

.cf7-row.full {
  flex-direction: column;
}

.cf7-form label {
  display: block;
  font-size: 14px;
  font-weight: 600;
  color: #fff;
  margin-bottom: 4px;
}

.cf7-form input,
.cf7-form textarea {
  width: 100%;
  padding: 10px 12px;
  border-radius: 6px;
  border: 2px solid #bbb;
  font-size: 14px;
  transition: all 0.25s ease;
}

.cf7-form input:focus,
.cf7-form textarea:focus {
  border-color: #2a7f4d;
  outline: none;
  box-shadow: 0 0 0 2px rgba(42,127,77,0.15);
}

.cf7-form textarea {
  min-height: 120px;
  resize: vertical;
}

/* Bouton */
.cf7-submit {
  text-align: center;
  margin-top: 10px;
}

.cf7-form input[type="submit"] {
  background: #2a7f4d;
  color: #fff;
  border: none;
  padding: 12px 28px;
  font-size: 15px;
  border-radius: 8px;
  cursor: pointer;
  transition: all 0.25s ease;
}

.cf7-form input[type="submit"]:hover {
  background: #333333;
  color: #ffffff;
  transform: translateY(-2px);
}
.kc_captcha {
	border : 1px solid #2a7f4d;
}
.cf7ic_instructions {
	color:#ffffff;
}

.margtop {
	margin-top:3rem;
	align-content;
}

.atelier-livraison:hover{
box-shadow: 0 8px 22px rgba(0,0,0,0.06);
}

/*** ANIMATIONS ***/

@keyframes shine-pause {
    0%   { left: -100%; opacity: 0; }
    10%  { opacity: 1; }
    40%  { left: 120%; opacity: 0.6; }
    60%  { opacity: 0; }
    100% { left: 120%; opacity: 0;   }
}
@keyframes pulsePremium {
  0% { transform: scale(1); }
  50% { transform: scale(1.09); }
  100% { transform: scale(1); }
}
@keyframes pageFade {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* ---------- Responsive mobile ---------- */

@media (max-width: 1200px) {
		.main-header-menu > li {
  	padding-left: 2px;
  	padding-right: 2px;
	}
		
    #ast-hf-menu-1 > li {
        margin-left: 2px;  
        margin-right: 2px; 
    }
    #ast-hf-menu-1 > li > a {
        padding-left: 4px;   
        padding-right: 4px;
    }
	h3.titrebi,  {
	margin-top:20px;
	}
		 .image-text-block {
        flex-direction: column;
        max-width: 100%;
        margin: 20px auto;
    }
	  .image-left img {
			  flex-direction: column;
			  width:1200px;
			  margin:auto;
        height: auto;
        border-radius: 10px;
    }

    .text-right {
        width: 100%;
        margin-left: 0;
        margin-top: 20px;
        border-radius: 10px;
        padding: 20px;
    }
}

@media (max-width: 1024px) {
	
	 .topbar-left {
    display: none;
  }
		 .btmen {
        display: none;
    }
	 #ast-hf-menu-1 > li > a {
        padding-left: 1px;   
        padding-right: 1px;
    }
	.encadre {
    padding: 15px 0 0 20px;
    flex: 1 1 calc(50% - 15px);
    box-sizing: border-box;
    border: 1px solid #cecece;
    border-radius: 10px;
	  color:#333333;
  }

	.lfp-labels-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
	  #lfp-footer .lfp-footer-container {
        grid-template-columns: repeat(2, 1fr);
    }
	.single-product .ast-woocommerce-container{
		margin-top:140px;
  }	
	 .cf7-row {
    flex-direction: column;
  }
	.woocommerce-MyAccount-content{
		margin-top:50px;
	}
}
@media (max-width: 768px) {
	  .topbar-center {
    display: none;
  }

.site-header .site-branding a {
    font-family: 'Great Vibes', cursive;
}

  .topbar-container {
    justify-content: center;
	  height:60px;
  }
  .topbar-right {
    justify-content: center;
  }
	
  .hero-home h1 {
    font-size: 2rem;
  }

  .hero-home p {
    font-size: 1.05rem;
  }
	.seo-accordion label {
		font-size:15px;
  	display: block;
  	margin-bottom: 5px;
		background:#2a7f4d;
		color:#fff;
		border-radius :15px;
		padding : 4px 5px 4px 5px;
		max-width:300px;
 }
	 .lfp-labels-wrapper {
        grid-template-columns: 1fr;
        gap: 30px;
    }
	 #lfp-footer .lfp-footer-container {
        grid-template-columns: 1fr;
        text-align: center;
    }

    #lfp-footer .lfp-footer-col {
        margin-bottom: 30px;
    }

	  ul.products {
    display: grid;
    grid-template-columns: repeat(2, 1fr) !important;
  }
		#post-6{padding : 0 20px;margin-top:40px;}
	.encadre {
    flex: 0 0 100%;
}
}
@media (max-width: 468px) {
	 .site-header .site-branding a{
    	font-size: 30px;
		}
  .home .hero-home {
   
  }
 .shop-category-section {
    margin-top: 60px;   
	} 
.container-text-smartslid{
	padding-bottom:50px;
	}
ul.products {
    display: grid;
    grid-template-columns: 1fr !important;
  }

  ul.products li.product {
    width: 100% !important;
    margin: 0 0 20px 0 !important;
  }
  .encadre {
   	 flex: 0 0 100%;
	}
	#post-6{padding : 0 20px;margin-top:10px;}
	.single-product .ast-woocommerce-container {
		margin-top:100px;
	}
	.ast-woocommerce-container{
		margin-top:55px;
	}
}
@media (max-width: 380px) {
			  .site-header .site-branding a{
    	font-size: 23px;
				  font-family: 'Great Vibes', cursive;
		}

	.site-content{
		margin-top:80px;
	}
	.ast-woocommerce-container {
	   margin-top:0;
    }		
}



